<app-loading *ngIf="preloader"></app-loading>

<div class="container h-100">
    <div class="row h-100 align-items-center">
      <div class="col-md m-5">
        <img class="img-fluid" src="assets/img/team.png" alt="">
      </div>
      <div class="col-md m-5">
        <div class="main-content">
            <div class="container-fluid">
                <div class="row d-flex justify-content-center">
                    <div class="h-100 w-100">
                        <div class="card card-profile">
                            <div class="card-body">
                                <form role="form" [formGroup]="loginForm"  autocomplete="off">
                                    <div class="row d-flex justify-content-center row-logo">
                                        <img class="img img-logo" src="./assets/img/logo.png" alt="logo konecta" />
                                    </div>
                                    <div class="row">
                                        <div class="col-md-12">
                                            <mat-form-field class="example-full-width">
                                                <input matInput type="text" placeholder="Usuario" formControlName='user' (keyup.enter)="onLogin()" required>
                                            </mat-form-field>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-12">
                                            <mat-form-field class="example-full-width">
                                                <input matInput type="password" placeholder="Contraseña" formControlName='password' (keydown.enter)="onLogin()" required>
                                            </mat-form-field>
                                        </div>
                                    </div>
                                    <a (click)="onLogin()" class="btn btn-primary white">Ingresar</a>
                                    <div class="text-sm">
                                        <a (click)="desbloqueo()" class="font-medium text-indigo-600 hover:text-indigo-500">
                                          Autogestionate
                                        </a>
                                      </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
      </div>
    </div>
</div>